"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _clsx = _interopRequireDefault(require("clsx"));

var _themeCommon = require("@docusaurus/theme-common");

var _Translate = require("@docusaurus/Translate");

var _IconClose = _interopRequireDefault(require("@theme/IconClose"));

var _stylesModule = _interopRequireDefault(require("./styles.module.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
function AnnouncementBar() {
  const {
    isActive,
    close
  } = (0, _themeCommon.useAnnouncementBar)();
  const {
    announcementBar
  } = (0, _themeCommon.useThemeConfig)();

  if (!isActive) {
    return null;
  }

  const {
    content,
    backgroundColor,
    textColor,
    isCloseable
  } = announcementBar;
  return <div className={_stylesModule.default.announcementBar} style={{
    backgroundColor,
    color: textColor
  }} role="banner">
      {isCloseable && <div className={_stylesModule.default.announcementBarPlaceholder} />}
      <div className={_stylesModule.default.announcementBarContent} // Developer provided the HTML, so assume it's safe.
    // eslint-disable-next-line react/no-danger
    dangerouslySetInnerHTML={{
      __html: content
    }} />
      {isCloseable ? <button type="button" className={(0, _clsx.default)('clean-btn close', _stylesModule.default.announcementBarClose)} onClick={close} aria-label={(0, _Translate.translate)({
      id: 'theme.AnnouncementBar.closeButtonAriaLabel',
      message: 'Close',
      description: 'The ARIA label for close button of announcement bar'
    })}>
          <_IconClose.default width={14} height={14} strokeWidth={3.1} />
        </button> : null}
    </div>;
}

var _default = AnnouncementBar;
exports.default = _default;